org.apache.pdfbox.pdmodel.fixup

## Class AbstractFixup

- java.lang.Object
- - org.apache.pdfbox.pdmodel.fixup.AbstractFixup

All Implemented Interfaces:
  PDDocumentFixup

Direct Known Subclasses:
  AcroFormDefaultFixup

    public abstract class AbstractFixup
    extends Object
    implements PDDocumentFixup

### Field Summary

Fields
`protected PDDocument` `document`

### Constructor Summary

Constructors
`protected` `AbstractFixup(PDDocument document)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.pdfbox.pdmodel.fixup.PDDocumentFixup

`apply`

### Field Detail

#### document

    protected final PDDocument document

### Constructor Detail

#### AbstractFixup

    protected AbstractFixup(PDDocument document)